#include <bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("DEMTU.INP");
	string s;
	int i,dem=0;
	getline(f1,s);
	s[0]==32;
	f1.close();
	ofstream f2("DEMTU.OUT");
	for(i=1;i<s.length()-1;i++)
	{
		if(s[i]==32&&s[i+1]!=32)dem++;
	}
	f2<<dem+1;
	f2.close()
;	return 0;
}
